git-annex-trust(1)

NAME
git-annex-trust - trust a repository

SYNOPSIS
git annex trust [repository ...]

DESCRIPTION
Records that a repository is trusted to not unexpectedly lose content. Use with care.

Repositories can be specified using their remote name, their description, or their UUID. To trust the current repository, use "here".

Before trusting a repository, consider this scenario. Repository A is trusted and B is not; both contain the same content. git-annex drop is run on repository A, which checks that B still contains the content, and so the drop proceeds. Then git-annex drop is run on repository B, which trusts A to still contain the content, so the drop succeeds. Now the content has been lost.

OPTIONS

--json

    Enable JSON output. This is intended to be parsed by programs that use git-annex. Each line of output is a JSON object.

--json-error-messages
    Messages that would normally be output to standard error are included in the JSON instead.

Also the git-annex-common-options(1) can be used.

SEE ALSO
git-annex(1)

git-annex-semitrust(1)

git-annex-untrust(1)

git-annex-dead(1)

AUTHOR
Joey Hess <id@joeyh.name>